


```
;==========================================================
;
;
;   ██████╗  ██████╗ ██╗  ██╗   ██╗██████╗  █████╗ ██████╗
;   ██╔══██╗██╔═══██╗██║  ╚██╗ ██╔╝██╔══██╗██╔══██╗██╔══██╗
;   ██████╔╝██║   ██║██║   ╚████╔╝ ██████╔╝███████║██████╔╝
;   ██╔═══╝ ██║   ██║██║    ╚██╔╝  ██╔══██╗██╔══██║██╔══██╗
;   ██║     ╚██████╔╝███████╗██║   ██████╔╝██║  ██║██║  ██║
;   ╚═╝      ╚═════╝ ╚══════╝╚═╝   ╚═════╝ ╚═╝  ╚═╝╚═╝  ╚═╝
;
;
;   To learn more about how to configure Polybar
;   go to https://github.com/jaagr/polybar
;
;   The README contains alot of information
;
;==========================================================

; read colors from pywal
[colors]
background = ${xrdb:color0:#222}
foreground = ${xrdb:color7:#222}
foreground-alt = ${xrdb:color6:#222}
background-alt = $(xrdb:color5:#222}
primary = ${xrdb:color1:#222}
secondary = ${xrdb:color2:#222}
alert = ${xrdb:color3:#222}
c8 = ${xrdb:color8:#222}
c9 = ${xrdb:color9:#222}
c10 = ${xrdb:color10:#222}
c11 = ${xrdb:color11:#222}
c12 = ${xrdb:color12:#222}
c13 = ${xrdb:color13:#222}
c14 = ${xrdb:color14:#222}
white = #fff


[bar/top]
;monitor = ${env:MONITOR:HDMI-1}
width = 100%
height = 20
override-redirect=false
offset-x = 0
offset-y =  0
radius = 0
fixed-center = true
background = ${colors.primary}
foreground = ${colors.background}

line-size = 1
line-color = ${colors.c9}

border-size = 0
border-color = ${colors.background}

padding-left = 0
padding-right = 0

module-margin-left = 0
module-margin-right = 0 

font-0 = RobotoMono Nerd Font:antialias=true:pixelsize=9;1
font-1 = RobotoMono Nerd Font:antialias=true:size=12;2
font-2 = RobotoMono Nerd Font:antialias=false:size=14;2
font-3 = RobotoMono Nerd Font:antialias=true:size=18;0

; modules-left =  s4 i3  s1 xwindow s5
; modules-center = 
; modules-right =   s4 cpu s1  memory s1  temperature s1  date s5 

modules-left = i3 
modules-center = xwindow
modules-right =   cpu  memory temperature date

cursor-click = pointer
cursor-scroll = ns-resize

[bar/bottom]
;monitor = ${env:MONITOR:HDMI-1}
width = 100%
height = 20
offset-x = 0
offset-y =  0
radius = 0.0
fixed-center = false
background = ${colors.primary}
foreground = ${colors.background}
bottom=true
line-size = 0
line-color = #f00

border-size = 0
border-color = ${colors.background}

padding-left = 0
padding-right = 0

module-margin-left = 2
module-margin-right = 2 

font-0 = RobotoMono Nerd Font:antialias=true:pixelsize=10;1
font-1 = RobotoMono Nerd Font:antialias=true:size=4;2
font-2 = RobotoMono Nerd Font:antialias=false:size=14;2
font-3 - RobotoMono Nerd Font:antialias=true:size=18;0

; modules-left = s4 battery s3 s4 wlan s3  s4 weather s5 
; modules-center = s4 filesystem s5
; modules-right =  s4 powermenu s1 pulseaudio s3

modules-left = battery wlan weather 
modules-center = mpd pm2_5 
modules-right =  

tray-position = right
tray-padding = 0
tray-background = ${colors.primary}

wm-restack = i3
;override-redirect = true

;scroll-up = bspwm-desknext
;scroll-down = bspwm-deskprev

;scroll-up = i3wm-wsnext
;scroll-down = i3wm-wsprev

cursor-click = pointer
cursor-scroll = ns-resize


[module/xwindow]
type = internal/xwindow
format-background = ${colors.primary}
;format-foreground = ${colors.foreground}
label = %title:0:90:...%

[module/xkeyboard]
type = internal/xkeyboard
blacklist-0 = num lock

format-prefix = "Key:"
format-prefix-foreground = ${colors.foreground-alt}
format-prefix-underline = ${colors.secondary}

label-layout = %layout%
label-layout-underline = ${colors.secondary}

label-indicator-padding = 2
label-indicator-margin = 1
label-indicator-background = ${colors.secondary}
label-indicator-underline = ${colors.secondary}

[module/filesystem]
type = internal/fs
interval = 25
mount-0 = /

label-mounted = %{F#0a81f5}%mountpoint%%{F-}: %percentage_used%%
label-unmounted = %mountpoint% not mounted
label-unmounted-foreground = ${colors.foreground-alt}


[module/i3]
type = internal/i3
format = <label-state> <label-mode>
format-font
index-sort = true
wrapping-scroll = false

; Only show workspaces on the same output as the bar
pin-workspaces = false
format-background = ${colors.primary}

ws-icon-0 = 1;
ws-icon-1 = 2;
ws-icon-2 = 3;
ws-icon-3 = 4;
ws-icon-4 = 5;
ws-icon-5 = 6;
ws-icon-6 = 7;
ws-icon-7 = 8;
ws-icon-8 = 9;
ws-icon-default = I


label-mode-foreground = #000
label-mode-background = ${colors.primary}
label-mode-padding = 2

; focused = Active workspace on focused monitor
label-focused = (%name%)%icon%
label-focused-background = ${colors.primary}
label-focused-foreground = #000
label-focused-underline = ${colors.alert}
label-focused-padding = ${self.label-mode-padding}

; unfocused = Inactive workspace on any monitor
label-unfocused = (%name%)%icon%
label-unfocused-foreground = ${colors.foreground}
label-unfocused-underline = ${colors.secondary}
label-unfocused-padding = ${self.label-mode-padding}

; visible = Visible workspace on any monitor
label-visible = (%name%)%icon%
label-visible-background = ${self.label-focused-background}
label-visible-foreground = #fff
label-visible-underline = ${self.label-focused-underline}
label-visible-padding = ${self.label-mode-padding}

label-urgent = (%name%)%icon%
label-urgent-background = ${colors.primary}
label-urgent-foreground = ${colors.foreground}
label-urgent-padding = ${self.label-mode-padding}

[module/mpd]
type = internal/mpd
format-online = <label-song>  <icon-prev> <icon-stop> <icon-play> <icon-next>


label-online-background = ${colors.foreground}

toggle-on-foreground = ${colors.foreground}
toggle-off-foreground = ${colors.foreground}

format-online-background = ${colors.primary}
format-offline-background = ${colors.primary}

;format-online-foreground = ${colors.foreground}
;format-offline-foreground = ${colors.foreground}

icon-play = 
icon-pause = 
icon-stop = 
icon-prev = 玲
icon-next = 怜


label-song-maxlen = 60
label-song-ellipsis = true

[module/xbacklight]
type = internal/xbacklight

format = <label> <bar>
label =" ﯦ "
label-foreground=${colors.background}

label-padding =1
;fbe6 
format-background = ${colors.primary}

bar-width = 10
bar-indicator = 
bar-indicator-foreground = ${colors.foreground}
;#fff
bar-indicator-font = 2
bar-fill = ""
bar-fill-font = 2
bar-fill-foreground = ${colors.background}
bar-fill-padding-left = 1
;#9f78e1

bar-empty = ""
bar-empty-font = 2
bar-empty-foreground = ${colors.foreground}
bar-empty-padding-right = 1

[module/backlight-acpi]
inherit = module/xbacklight
type = internal/backlight
card = intel_backlight

[module/cpu]
format=<label>

label-padding =1
type = internal/cpu
interval = 2
format-prefix = "  "
format-background = ${colors.primary}
format-prefix-foreground = ${colors.background}
;format-underline = ${colors.primary} 
;; note that this is how to make underline go away
;#f90000
label = %percentage-sum%

[module/spotify]

type = custom/script
interval = 3
format-prefix="%{T1}%{T-} "
format <label>
format-background = ${colors.primary}
exec = python /home/paramah/.config/polybar/polybar-spotify/spotify_status.py -f '{song} by {artist}'

[module/pm2_5]

type = custom/script
interval = 3
format-prefix="%{T1}%{T-} "
format <label>
format-background = ${colors.primary}
exec = /home/paramah/bin/czujnik.sh |grep pm2_5

[module/memory]
type = internal/memory
interval = 2
format-prefix = "  "
format-background = ${colors.primary}
format-prefix-foreground = ${colors.background}
;format-underline = ${colors.primary}
;;

label-padding =1
;#4bffdc
label = %gb_free%

[module/wlan]
type = internal/network
interface = wlp6s0
interval = 0.5

format-connected-prefix="直| "
format-connected =  <label-connected>
format-connected-underline = #9f78e1
label-connected = %essid%
;label-connected = %local_ip%|%essid%| %upspeed%   %downspeed% 
format-connected-background=${colors.primary}

format-disconnected =
;format-disconnected = <label-disconnected>
;format-disconnected-underline = ${self.format-connected-underline}
;label-disconnected = %ifname% disconnected
;label-disconnected-foreground = ${colors.foreground-alt}

ramp-signal-0 = 
ramp-signal-1 = 
ramp-signal-2 = 
ramp-signal-3 = 
ramp-signal-4 = 
ramp-signal-foreground = ${colors.background}

[module/eth]
type = internal/network
interface = wlp59s0
interval = 3.0

format-connected-underline = #55aa55
format-connected-prefix = " "
format-connected-prefix-foreground = ${colors.primary}
label-connected = %local_ip%

format-disconnected =
;format-disconnected = <label-disconnected>
;format-disconnected-underline = ${self.format-connected-underline}
;label-disconnected = %ifname% disconnecte@maciej.swierczek owszem gógl d
;label-disconnected-foreground = ${colors.foreground-alt}

[module/date]
type = internal/date
interval = 5

date =
date-alt = " %Y-%m-%d"

time = %H:%M
time-alt = %H:%M:%S

format-background = ${colors.primary}
format-prefix =" "
format-prefix-foreground = ${colors.background}
;format-underline = ${colors.primary}
;#0a6cf5

label = %date% %time%
label-padding = 1

[module/pulseaudio]
type = internal/pulseaudio

sink = alsa_output.pci-0000_00_1f.3.analog-stereo

use-ui-max = true

format-volume = <label-volume> <bar-volume>
label-volume =  墳 %percentage%%
label-volume-foreground = ${colors.background}
format-volume-background = ${colors.primary}

label-muted ="婢 "
label-muted-foreground = ${colors.background}
format-muted-background = ${colors.primary}

bar-volume-width = 11
bar-volume-foreground-0 = ${colors.background}
;bar-volume-foreground-1 = #55aa55
;bar-volume-foreground-2 = #55aa55
;bar-volume-foreground-3 = #55aa55
;bar-volume-foreground-4 = #55aa55
;bar-volume-foreground-5 = #f5a70a
;bar-volume-foreground-6 = #ff5555
bar-volume-gradient = false
bar-volume-indicator = 
bar-volume-indicator-font = 2
bar-volume-fill = ""
bar-volume-fill-font = 2

bar-volume-empty = ""
bar-volume-empty-font = 2
bar-volume-empty-foreground = ${colors.foreground}

click-right = pavucontrol &

[module/alsa]
type = internal/alsa
master-soundcard = default
speaker-soundcard = default
headphone-soundcard = default
master-mixer = Master
mapped = true

format-volume = <ramp-volume> <label-volume>
label-volume = VOL
label-volume-foreground = ${colors.foreground}
label-volume-background = ${colors.background}


label-muted = muted
label-muted-foreground = ${colors.foreground}
label-muted-background = ${colors.background}

; Only applies if <ramp-volume> is used
ramp-volume-0 = 0
ramp-volume-1 = 1
ramp-volume-2 = 2

; If defined, it will replace <ramp-volume> when
; headphones are plugged in to `headphone_control_numid`
; If undefined, <ramp-volume> will be used for both
; Only applies if <ramp-volume> is used
ramp-headphones-0 = 
ramp-headphones-1 = 

bar-volume-width = 10
bar-volume-foreground-0 = #55aa55
bar-volume-foreground-1 = #55aa55
bar-volume-foreground-2 = #55aa55
bar-volume-foreground-3 = #55aa55
bar-volume-foreground-4 = #55aa55
bar-volume-foreground-5 = #f5a70a
bar-volume-foreground-6 = #ff5555
bar-volume-gradient = false
bar-volume-indicator = |
bar-volume-indicator-font = 2
bar-volume-fill = ─
bar-volume-fill-font = 2
bar-volume-empty = ─
bar-volume-empty-font = 2
bar-volume-empty-foreground = ${colors.foreground}

[module/battery]
prefix="BAT"
type = internal/battery
battery = BAT0
adapter = AC
full-at = 98
format-charging = <animation-charging> <label-charging>
;format-charging-underline = ${colors.primary}
;#ffb52a

format-charging-background = ${colors.primary}
format-discharging = <ramp-capacity> <label-discharging>
;format-discharging-underline = ${self.format-charging-underline}
format-discharging-background = ${colors.primary}

format-full-prefix = " :  "
format-full-prefix-foreground = ${colors.background}
format-full-background = ${colors.primary}
;format-full-underline = ${self.format-charging-underline}
label-charging-passing =1 
label-discharging-padding =1 

ramp-capacity-0 =" "
ramp-capacity-1 = " "
ramp-capacity-2 = " "
ramp-capacity-padding = 1
;ramp-capacity-0 = 
;ramp-capacity-1 = 
;ramp-capacity-2 = 
ramp-capacity-foreground = ${colors.background}

animation-charging-0 = 
animation-charging-1 = 
animation-charging-2 = 
animation-charging-foreground = ${colors.foreground-alt}
animation-charging-framerate = 750

animation-discharging-0 = 
animation-discharging-1 = 
animation-discharging-2 = 
animation-discharging-foreground = ${colors.foreground-alt}
animation-discharging-framerate = 750

[module/temperature]
type = internal/temperature
thermal-zone = 0
warn-temperature = 50

format = <ramp> <label>
;format-underline = ${colors.primary}
;#f50a4d
format-background = ${colors.primary}

label-padding =1
label-warn-padding = 1
format-warn = <ramp> <label-warn>
;format-warn-underline = ${self.format-underline}
format-warn-background= ${colors.primary}
hwmon-path = /sys/devices/platform/thinkpad_hwmon/hwmon/hwmon4/temp1_input
label = %temperature-c%
label-warn = %temperature-c%
label-warn-foreground = ${colors.background}

ramp-0 = " "
ramp-1 = " "
ramp-2  =" "

ramp-foreground = ${colors.background}

[module/powermenu]
type = custom/menu

expand-right = true

format-spacing = 0

label-open ="    "
label-open-foreground = ${colors.background}
label-close ="  x"
label-close-foreground = ${colors.background}
label-separator = |
label-separator-foreground = ${colors.foreground-alt}
label-separator-background = ${colors.primary}
label-open-background= ${colors.primary}
label-close-background= ${colors.primary}


menu-0-0 = 
menu-0-0-background = ${colors.primary}
menu-0-0-foreground = ${colors.background}
menu-0-0-exec = thunderbird
menu-0-1 = 
menu-0-1-background = ${colors.primary}
menu-0-1-foreground = ${colors.background}
menu-0-1-exec = nautilus

menu-1-0 = cancel
menu-1-0-background = ${colors.primary}
menu-1-0-foreground = ${colors.background}
menu-1-0-exec = menu-open-0
menu-1-1 = reboot
menu-1-1-exec = sudo reboot

menu-2-0 = power off
menu-2-0-background = ${colors.primary}
menu-2-0-foreground = ${colors.background}
menu-2-0-exec = sudo poweroff
menu-2-1 = cancel
menu-2-1-exec = menu-open-0

[module/weather]
type = custom/script
exec = ~/.config/polybar/polybar-weather/openweathermap-detailed.sh
format-background = ${colors.primary}
format-prefix-foreground = ${colors.background}

[settings]
screenchange-reload = true
;compositing-background = xor
;compositing-background = screen
compositing-foreground = source
compositing-border = over
pseudo-transparency = true

[global/wm]
margin-top = 0
margin-bottom = 0

; vim:ft=dosini

```